@echo off
rem 中国IT人之家 http://cnitgroup.5d6d.com
if exist %ComSpec% goto nt else goto 9x
:9x
set etc=%windir%\
set hosts=%windir%\hosts
goto menu
:nt
if exist %windir%\system32\cmd.exe goto winnt32
if exist %windir%\system64\cmd.exe goto winnt64
:winnt32
set etc=%windir%\system32\drivers\etc
set hosts=%windir%\system32\drivers\etc\hosts
goto menu
:winnt64
set etc=%windir%\system64\drivers\etc
set hosts=%windir%\system64\drivers\etc\hosts
goto menu
:menu
find "127.0.0.1	www.register-center.com" %hosts% > nul
if %errorlevel% == 1 (
  @echo.>>%hosts% 
  @echo 127.0.0.1	211.157.108.252	>>%hosts%
  @echo 127.0.0.1	211.144.136.73	>>%hosts%
  @echo 127.0.0.1	58.177.209.130	>>%hosts%
  @echo 127.0.0.1	58.177.209.134	>>%hosts%
  @echo 127.0.0.1	210.51.188.215	>>%hosts%
  @echo 127.0.0.1	218.16.120.134	>>%hosts%
  @echo 127.0.0.1	218.104.71.90	>>%hosts%
  @echo 127.0.0.1	www.softxp.net	>>%hosts%

)

echo 按任意键继续....
pause

exit